# tcalfiles.cl
# January 10, 2008
# By Doug Mink

#  Make files with lists of FLAT and COMP images split by aperture size, fiber(s), and binning

procedure tcalfiles (images)

string  images="*.fits"       {prompt="Images to check"}

bool    verbose=yes     {prompt="Print process progress (y or n)"}

begin

    string ims
    bool vb

    ims = images
    vb = verbose

# Largest fiber

# Flat field images
    if (!access ("flatl12.list"))
	trslist (ims,fibkey="FFN",binning=1,fibsize=3.2,outfile="flatl12.list",verbose=vb)
    if (!access ("flatlb12.list"))
	trslist (ims,fibkey="FFN",binning=2,fibsize=3.2,outfile="flatlb12.list",verbose=vb)
    if (!access ("flatl3.list"))
	trslist (ims,fibkey="NNF",binning=1,fibsize=3.2,outfile="flatl3.list",verbose=vb)
    if (!access ("flatlb3.list"))
	trslist (ims,fibkey="NNF",binning=2,fibsize=3.2,outfile="flatlb3.list",verbose=vb)

# Comparison lamp images
    if (!access ("compl12.list"))
	trslist (ims,fibkey="CCN",binning=1,fibsize=3.2,outfile="compl12.list",verbose=vb)
    if (!access ("complb12.list"))
	trslist (ims,fibkey="CCN",binning=2,fibsize=3.2,outfile="complb12.list",verbose=vb)
    if (!access ("compl3.list"))
	trslist (ims,fibkey="NNC",binning=1,fibsize=3.2,outfile="compl3.list",verbose=vb)
    if (!access ("complb3.list"))
	trslist (ims,fibkey="NNC",binning=2,fibsize=3.2,outfile="complb3.list",verbose=vb)

# Medium fiber

# Flat field images
    if (!access ("flatm12.list"))
	trslist (ims,fibkey="FFN",binning=1,fibsize=2.3,outfile="flatm12.list",verbose=vb)
    if (!access ("flatmb12.list"))
	trslist (ims,fibkey="FFN",binning=2,fibsize=2.3,outfile="flatmb12.list",verbose=vb)
    if (!access ("flatm3.list"))
	trslist (ims,fibkey="NNF",binning=1,fibsize=2.3,outfile="flatm3.list",verbose=vb)
    if (!access ("flatmb3.list"))
	trslist (ims,fibkey="NNF",binning=2,fibsize=2.3,outfile="flatmb3.list",verbose=vb)

# Comparison lamp images
    if (!access ("compm12.list"))
	trslist (ims,fibkey="CCN",binning=1,fibsize=2.3,outfile="compm12.list",verbose=vb)
    if (!access ("compmb12.list"))
	trslist (ims,fibkey="CCN",binning=2,fibsize=2.3,outfile="compmb12.list",verbose=vb)
    if (!access ("compm3.list"))
	trslist (ims,fibkey="NNC",binning=1,fibsize=2.3,outfile="compm3.list",verbose=vb)
    if (!access ("compmb3.list"))
	trslist (ims,fibkey="NNC",binning=2,fibsize=2.3,outfile="compmb3.list",verbose=vb)

# Small fiber

# Flat field images
    if (!access ("flats12.list"))
	trslist (ims,fibkey="FFN",binning=1,fibsize=1.4,outfile="flats12.list",verbose=vb)
    if (!access ("flatsb12.list"))
	trslist (ims,fibkey="FFN",binning=2,fibsize=1.4,outfile="flatsb12.list",verbose=vb)
    if (!access ("flats3.list"))
	trslist (ims,fibkey="NNF",binning=1,fibsize=1.4,outfile="flats3.list",verbose=vb)
    if (!access ("flatsb3.list"))
	trslist (ims,fibkey="NNF",binning=2,fibsize=1.4,outfile="flatsb3.list",verbose=vb)

# Comparison lamp images
    if (!access ("comps12.list"))
	trslist (ims,fibkey="CCN",binning=1,fibsize=1.4,outfile="comps12.list",verbose=vb)
    if (!access ("compsb12.list"))
	trslist (ims,fibkey="CCN",binning=2,fibsize=1.4,outfile="compsb12.list",verbose=vb)
    if (!access ("comps3.list"))
	trslist (ims,fibkey="NNC",binning=1,fibsize=1.4,outfile="comps3.list",verbose=vb)
    if (!access ("compsb3.list"))
	trslist (ims,fibkey="NNC",binning=2,fibsize=1.4,outfile="compsb3.list",verbose=vb)

end

# Jan 04 2008	New task
# Jan 10 2008	Change allcalls to treslist to trslist
