# File tres/Scripts/tdbmod.cl
# By Doug Mink
# January 22, 2008

# TDBMOD -- Modify line positions in ecidentify database file

procedure tdbmod (dbfin, dbfout)

string dbfin=""		{prompt="File to process"}
string dbfout=""	{prompt="File for output"}

string indir=""		{prompt="Input directory with database directory"}
string outdir=""	{prompt="Output directory with database directory"}
real shift=0.0		{prompt="Constant pixel shift (0 is none)"}
real scale=1.0		{prompt="Constant pixel scale factor (1 is none)"}
bool verbose=yes	{prompt="Log progress (yes or no)"}

begin

    bool vb
    int i, io
    file idbpath, idbdir, odbpath, odbdir
    string idbfile, odbfile, idbroot, odbroot
    string s1, s2, s3, s4, s5, s6, s7, s8
    real pshift, pscale, x, w1, w2

    vb = verbose
    pshift = shift
    pscale = scale

# Input dispersion fit file
    fixdir (indir)
    idbdir = fixdir.newdir // "database/"
    idbfile = dbfin
    fileroot (idbfile)
    idbroot = fileroot.rootname
    idbpath = idbdir // "ec" // idbroot

# Output dispersion fit file
    fixdir (outdir)
    odbdir = fixdir.newdir // "database/"
    odbfile = dbfout
    fileroot (odbfile)
    odbroot = fileroot.rootname
    odbpath = idbdir // "ec" // odbroot

# Make sure database directory is there
    if (!access (idbpath)) {
	print ("TUNBIN: Database file ",idbpath, " does not exist")
	exit
	}

    s1 = ""
    s2 = ""
    s3 = ""
    s4 = ""

    list = idbpath
    while (fscan (list, s1, s2, s3, s4, s5, s6, s7, s8) != EOF) {
	if (s1 == "") {
	    printf ("\n", >>odbpath)
	    }
	else if (s1 == "#") {
	    printf ("%s %s %s %s\n", s1, s2, s3, s4, >>odbpath)
	    }
	else if (s3 == "") {
	    if (s1 == "id")
		printf ("\tid\t%s\n", idbroot, >>odbpath)
	    else if (s1 == "image")
		printf ("\timage\t%s\n", idbroot, >>odbpath)
	    else
		printf ("\t%s\t%s\n", s1, s2, >>odbpath)
	    }
	else if (s4 == "") {
	    printf ("begin\tecidentify %s\n", idbroot, >>odbpath)
	    }
	else {
	    x = (real (s3) * pscale) + pshift
	    w1 = real (s4)
	    w2 = real (s5)
	    i = int (s1)
	    io = int (s2)
	    printf ("\t\t%2d %4d %8.2f %11.5f  %10.4f   %s  %s  %s\n", i, io, x, w1, w2, s6, s7, s8, >>odbpath)
	    }
	s1 = ""
	s2 = ""
	s3 = ""
	s4 = ""
	}
end

# Jan 22 2008	New program to copy a database echelle dispersion file
