# File tres/Scripts/tflatfiles.cl
# January 11, 2008
# By Doug Mink

# TFLATFILES - Make files with lists of FLAT images split by aperture size, fiber(s), exposure time, and binning

procedure tflatfiles (images)

string  images="*.fits"       {prompt="Images to check"}

bool    verbose=yes     {prompt="Print process progress (y or n)"}

begin

    string ims
    bool vb

    ims = images
    vb = verbose

# Largest fiber

# Flat field images
    if (!access ("flatl12.list"))
	trslist (ims,fibkey="FFN",binning=1,fibsize=3.2,outfile="flatl12.list",verbose=vb)
    if (!access ("flatlb12.list"))
	trslist (ims,fibkey="FFN",binning=2,fibsize=3.2,outfile="flatlb12.list",verbose=vb)
    if (!access ("flatl3.list"))
	trslist (ims,fibkey="NNF",binning=1,fibsize=3.2,outfile="flatl3.list",verbose=vb)
    if (!access ("flatlb3.list"))
	trslist (ims,fibkey="NNF",binning=2,fibsize=3.2,outfile="flatlb3.list",verbose=vb)

# Medium fiber

# Flat field images
    if (!access ("flatm12.list"))
	trslist (ims,fibkey="FFN",binning=1,fibsize=2.3,outfile="flatm12.list",verbose=vb)
    if (!access ("flatmb12.list"))
	trslist (ims,fibkey="FFN",binning=2,fibsize=2.3,outfile="flatmb12.list",verbose=vb)
    if (!access ("flatm3.list"))
	trslist (ims,fibkey="NNF",binning=1,fibsize=2.3,outfile="flatm3.list",verbose=vb)
    if (!access ("flatmb3.list"))
	trslist (ims,fibkey="NNF",binning=2,fibsize=2.3,outfile="flatmb3.list",verbose=vb)

# Small fiber

# Flat field images
    if (!access ("flats12.list"))
	trslist (ims,fibkey="FFN",binning=1,fibsize=1.4,outfile="flats12.list",verbose=vb)
    if (!access ("flatsb12.list"))
	trslist (ims,fibkey="FFN",binning=2,fibsize=1.4,outfile="flatsb12.list",verbose=vb)
    if (!access ("flats3.list"))
	trslist (ims,fibkey="NNF",binning=1,fibsize=1.4,outfile="flats3.list",verbose=vb)
    if (!access ("flatsb3.list"))
	trslist (ims,fibkey="NNF",binning=2,fibsize=1.4,outfile="flatsb3.list",verbose=vb)

end

# Jan 11 2008	New task
